##
##  slice.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         slice
Summary:      Text Slicing Tool
URL:          http://www.ossp.org/pkg/tool/slice/
Vendor:       Ralf S. Engelschall
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Text
License:      GPL
Version:      1.3.8
Release:      20181229

#   list of sources
Source0:      http://www.ossp.org/pkg/tool/slice/slice-%{version}.tar.gz
Patch0:       slice.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, autoconf
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  perl, perl-ds
PreReq:       perl, perl-ds

%description
    The slice(1) program reads an input file (or from stdin) and divides
    its already prepared text content into possibly overlapping areas,
    called "slices". These slices are determined by enclosing blocks
    defined by begin and end delimiters which have to be already in the
    file. The final output gets calculated by a slice term consisting of
    slice names, set theory operators and optional round brackets.

%track
    prog slice = {
        version   = %{version}
        url       = http://www.ossp.org/pkg/tool/slice/
        regex     = slice-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    autoconf
    ./configure \
        --prefix=%{l_prefix}
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install prefix=$RPM_BUILD_ROOT%{l_prefix}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/lib/slice
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

